﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MyMVC;
using ClownFish;

// 说明：MyMVC是一个WEB框架，博客地址：http://www.cnblogs.com/fish-li/archive/2012/02/12/2348395.html
// 说明：ClownFish是一个数据访问层，博客地址：http://www.cnblogs.com/fish-li/archive/2012/07/17/ClownFish.html


public class CustomerPagingInfo : PagingInfo
{
	public string SearchWord = string.Empty;
}


namespace MyLab.AjaxService
{
	/// <summary>
	/// Ajax服务类，提供“客户记录”相关操作
	/// </summary>
	public class AjaxCustomer
	{
		private CustomerBLL CustomerBLLInstance
		{
			get { return new CustomerBLL(); }
		}

		[Action]
		public object List(CustomerPagingInfo pagingInfo)
		{
			pagingInfo.CheckPagingInfoState();

			List<Customer> List = CustomerBLLInstance.GetList(pagingInfo.SearchWord, pagingInfo);
			return new GridResult<Customer>(List, pagingInfo.TotalRecords);
		}

		[Action]
		public void Insert(Customer customer)
		{
			customer.EnsureItemIsOK();

			CustomerBLLInstance.Insert(customer);
		}

		[Action]
		public void Delete(string id)
		{
			CustomerBLLInstance.Delete(id);
		}

		[Action]
		public void Update(Customer customer)
		{
			customer.EnsureItemIsOK();

			CustomerBLLInstance.Update(customer);
		}

		[Action]
		public string GetById(string id)
		{
			Customer customer = CustomerBLLInstance.GetById(id);
			if( customer == null )
				throw new MyMessageException("指定的ID值无效。不能找到对应的记录。");

			return customer.ToJson();
		}




	}

}