﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MongoDB;

// 说明：这里的Insert, Delete, Update方法都返回一个int值，
//        完全是因为此项目是从【原版】项目改过来，不想修改接口导致的。

// 其它的类也是同一个原因



/// <summary>
/// 操作“商品分类”的业务逻辑层
/// </summary>
public sealed class CategoryBLL 
{
	public void Insert(Category category)
	{
		category.CategoryID = Guid.NewGuid().ToString("N");
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Category>().Insert(category);
		}
	}

	public void Delete(string categoryId)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Category>().Remove(x => x.CategoryID == categoryId);
		}
	}

	public void Update(Category category)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Category>().Update(category, (x => x.CategoryID == category.CategoryID));
		}
	}


	public List<Category> GetList()
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			return mm.GetCollection<Category>().Linq().ToList();
		}
	}

}
