﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MongoDB;
using ClownFish;

// 说明：这里的Insert, Delete, Update方法都返回一个int值，
//        完全是因为此项目是从【原版】项目改过来，不想修改接口导致的。

// 其它的类也是同一个原因


/// <summary>
/// 操作“客户记录”的业务逻辑层
/// </summary>
public sealed class CustomerBLL 
{

	public void Insert(Customer customer)
	{
		customer.CustomerID = Guid.NewGuid().ToString("N");
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Customer>().Insert(customer);
		}
	}

	public void Delete(string customerId)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Customer>().Remove(x => x.CustomerID == customerId);
		}
	}

	public void Update(Customer customer)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			mm.GetCollection<Customer>().Update(customer, (x => x.CustomerID == customer.CustomerID));
		}
	}


	public List<Customer> GetList(string searchWord, PagingInfo pagingInfo)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			var collection = mm.GetCollection<Customer>();

			var query = from customer in collection.Linq()
						select customer;

			if( string.IsNullOrEmpty(searchWord) == false )
				query = query.Where(c => c.CustomerName.Contains(searchWord) );
			
			return query.OrderBy(x => x.CustomerName).GetPagingList<Customer>(pagingInfo);
		}
	}

	public Customer GetById(string customerId)
	{
		using( MyMongoDb mm = new MyMongoDb() ) {
			return mm.GetCollection<Customer>().FindOne(x => x.CustomerID == customerId);
		}
	}



}
