﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MongoDB.Attributes;


// 说明：因为MonogDB并不支持【自增数据类型】，所以，我把所有实体的ID字段的类型全改为字符串，它们将保存GUID字符串。


/// <summary>
/// 表示一个商品分类记录
/// </summary>
public sealed class Category : MyDataItem
{
	[MongoId]
	public string CategoryID { get; set; }
	public string CategoryName { get; set; }

	public override string IsValid()
	{
		if( string.IsNullOrEmpty(this.CategoryName) )
			return "商品分类名称不能为空。";

		return null;
	}


}
