﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MongoDB.Attributes;


// 说明：因为MonogDB并不支持【自增数据类型】，所以，我把所有实体的ID字段的类型全改为字符串，它们将保存GUID字符串。


/// <summary>
/// 表示一个客户对象的实体类
/// </summary>
public sealed class Customer : MyDataItem
{
	[MongoId]
	public string CustomerID { get; set; }
	//[MongoAlias("CName")]
	public string CustomerName { get; set; }
	public string ContactName { get; set; }
	public string Address { get; set; }
	public string PostalCode { get; set; }	
	public string Tel { get; set; }

	public override string IsValid()
	{
		if( string.IsNullOrEmpty(CustomerName) )
			return "客户名称不能为空。";

		return null;
	}
}