﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using MyMVC;

/// <summary>
///AppHelper 的摘要说明
/// </summary>
public static class AppHelper
{
	public static readonly int DefaultPageSize = 10;

	public static readonly string AppName = "MongoDB-DEMO";

	public static readonly string ErrorLogFilePath = "~/App_Data/ErrorLog.txt";



	/// <summary>
	/// 应用程序初始化。
	/// </summary>
	public static void Init()
	{
		ConnectionStringSettings setting = ConfigurationManager.ConnectionStrings["MyNorthwind"];
		if( setting == null || string.IsNullOrEmpty(setting.ConnectionString) )
			throw new ConfigurationErrorsException("没有设置SqlServer连接字符串。");

		// 设置默认的数据库连接字符串。
		ClownFish.DbContext.RegisterDbConnectionInfo("default", setting.ProviderName, "@", setting.ConnectionString);


	}

	


	/// <summary>
	/// 安全地记录一个异常对象到文本文件。
	/// </summary>
	/// <param name="ex"></param>
	public static void SafeLogException(Exception ex)
	{
		if( ex is MyMessageException )
			return;

		if( ex is HttpException ) {
			HttpException ee = ex as HttpException;
			if( ee.GetHttpCode() == 404 )
				return;
		}


		// 为了避免在发布压缩包时会包含错误日志文件，这里就不记录了。

		//string message = string.Concat(ExecptionHelper.GetExecptionDetailInfo(ex), "\r\n\r\n\r\n");
		//try {
		//    System.IO.File.AppendAllText(HttpContext.Current.Request.MapPath(ErrorLogFilePath), message, System.Text.Encoding.UTF8);
		//}
		//catch { }

	}

	

}
